package com.sifang.modules.customer.entity;

import org.hibernate.annotations.GenericGenerator;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

@Entity
@Table(name = "crm_customer_warranty")
public class CustomerWarranty implements Serializable {

    private String id;

    private String customerName;
    private String customerAddress;
    private String customerMobile;
    private Date applianceBuyTime;
    private String invoice;
    private String pleaseReferMall;
    private String customerId;
    private String contactName;
    private String orderId;
    private Date createTime;
    private String inverterYears;
    private String assemblyYears;
    private String bracketYears;
    private String systemYears;
    private String productNameOne;
    private String productNameTwo;
    private String productNameThree;
    private String productNameFour;
    private Integer rowspan;

    public CustomerWarranty() {
        super();
        this.createTime = new Date();
    }

    public Integer getRowspan() {
        return rowspan;
    }

    public void setRowspan(Integer rowspan) {
        this.rowspan = rowspan;
    }

    public String getInverterYears() {
        return inverterYears;
    }

    public void setInverterYears(String inverterYears) {
        this.inverterYears = inverterYears;
    }

    public String getAssemblyYears() {
        return assemblyYears;
    }

    public void setAssemblyYears(String assemblyYears) {
        this.assemblyYears = assemblyYears;
    }

    public String getBracketYears() {
        return bracketYears;
    }

    public void setBracketYears(String bracketYears) {
        this.bracketYears = bracketYears;
    }

    public String getSystemYears() {
        return systemYears;
    }

    public void setSystemYears(String systemYears) {
        this.systemYears = systemYears;
    }

    public String getProductNameOne() {
        return productNameOne;
    }

    public void setProductNameOne(String productNameOne) {
        this.productNameOne = productNameOne;
    }

    public String getProductNameTwo() {
        return productNameTwo;
    }

    public void setProductNameTwo(String productNameTwo) {
        this.productNameTwo = productNameTwo;
    }

    public String getProductNameThree() {
        return productNameThree;
    }

    public void setProductNameThree(String productNameThree) {
        this.productNameThree = productNameThree;
    }

    public String getProductNameFour() {
        return productNameFour;
    }

    public void setProductNameFour(String productNameFour) {
        this.productNameFour = productNameFour;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Id
    @GeneratedValue(generator = "idGenerator")
    @GenericGenerator(name = "idGenerator", strategy = "uuid")
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getCustomerAddress() {
        return customerAddress;
    }

    public void setCustomerAddress(String customerAddress) {
        this.customerAddress = customerAddress;
    }

    public String getCustomerMobile() {
        return customerMobile;
    }

    public void setCustomerMobile(String customerMobile) {
        this.customerMobile = customerMobile;
    }

    public Date getApplianceBuyTime() {
        return applianceBuyTime;
    }

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    public void setApplianceBuyTime(Date applianceBuyTime) {
        this.applianceBuyTime = applianceBuyTime;
    }

    public String getInvoice() {
        return invoice;
    }

    public void setInvoice(String invoice) {
        this.invoice = invoice;
    }

    public String getPleaseReferMall() {
        return pleaseReferMall;
    }

    public void setPleaseReferMall(String pleaseReferMall) {
        this.pleaseReferMall = pleaseReferMall;
    }

    public String getCustomerId() {
        return customerId;
    }

    public void setCustomerId(String customerId) {
        this.customerId = customerId;
    }

    public String getContactName() {
        return contactName;
    }

    public void setContactName(String contactName) {
        this.contactName = contactName;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }
}
